# binaryninja.lowlevelil.LowLevelILInstruction

class `binaryninja.lowlevelil.``LowLevelILInstruction`(func, expr_index, instr_index=None)

  `class LowLevelILInstruction` Low Level Intermediate Language Instructions are infinite length tree-based instructions. Tree-based instructions use infix notation with the left hand operand being the destination operand. Infix notation is thus more natural to read than other notations (e.g. x86 `mov eax, 0` vs. LLIL `eax = 0`).

  `__init__`(func, expr_index, instr_index=None)

  Methods

  `__init__`(func, expr_index[, instr_index]) |
  `get_flag_value`(flag) |
  `get_flag_value_after`(flag) |
  `get_possible_flag_values`(flag) |
  `get_possible_flag_values_after`(flag) |
  `get_possible_reg_values`(reg) |
  `get_possible_reg_values_after`(reg) |
  `get_possible_stack_contents`(offset, size) |
  `get_possible_stack_contents_after`(offset, size) |
  `get_reg_value`(reg) |
  `get_reg_value_after`(reg) |
  `get_stack_contents`(offset, size) |
  `get_stack_contents_after`(offset, size) |

  Attributes

  `ILOperations` |
  `mapped_medium_level_il` | Gets the mapped medium level IL expression corresponding to this expression
  `medium_level_il` | Gets the medium level IL expression corresponding to this expression (may be None for eliminated instructions)
  `non_ssa_form` | Non-SSA form of expression (read-only)
  `possible_values` | Possible values of expression using path-sensitive static data flow analysis (read-only)
  `postfix_operands` | All operands in the expression tree in postfix order
  `prefix_operands` | All operands in the expression tree in prefix order
  `ssa_form` | SSA form of expression (read-only)
  `tokens` | LLIL tokens (read-only)
  `value` | Value of expression if constant or a known value (read-only)